org.keycloak.protocol.oidc.grants.ciba.clientpolicy.context

## Class BackchannelAuthenticationRequestContext

- java.lang.Object
- - org.keycloak.protocol.oidc.grants.ciba.clientpolicy.context.BackchannelAuthenticationRequestContext

- All Implemented Interfaces:
    ClientPolicyContext

      public class BackchannelAuthenticationRequestContext
      extends Object
      implements ClientPolicyContext

  Author:
    Takashi Norimatsu

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackchannelAuthenticationRequestContext(BackchannelAuthenticationEndpointRequest request, CIBAAuthenticationRequest parsedRequest, javax.ws.rs.core.MultivaluedMap<String,String> requestParameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientPolicyEvent` | `getEvent()` returns `ClientPolicyEvent` of client policy related events.
    `CIBAAuthenticationRequest` | `getParsedRequest()`
    `BackchannelAuthenticationEndpointRequest` | `getRequest()`
    `javax.ws.rs.core.MultivaluedMap<String,String>` | `getRequestParameters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackchannelAuthenticationRequestContext

          public BackchannelAuthenticationRequestContext(BackchannelAuthenticationEndpointRequest request,
                                                         CIBAAuthenticationRequest parsedRequest,
                                                         javax.ws.rs.core.MultivaluedMap<String,String> requestParameters)

  - ### Method Detail

    - #### getEvent

          public ClientPolicyEvent getEvent()

      Description copied from interface: `ClientPolicyContext`
      returns `ClientPolicyEvent` of client policy related events.
      Specified by:
        `getEvent` in interface `ClientPolicyContext`
      Returns:
        `ClientPolicyEvent`

    - #### getRequest

          public BackchannelAuthenticationEndpointRequest getRequest()

    - #### getParsedRequest

          public CIBAAuthenticationRequest getParsedRequest()

    - #### getRequestParameters

          public javax.ws.rs.core.MultivaluedMap<String,String> getRequestParameters()

Copyright © 2021 JBoss by Red Hat. All rights reserved.